Get Application Vms

Get Application Vms
Show application members

Show application members

Request
URI
GET
https://{api_host}/api/ni/groups/applications/{id}/members/vms
COPY
Path Parameters
string
id
Required

The Entity ID of object requestion information on


Authentication
This operation uses the following authentication methods.
Responses
200

OK

Returns ApplicationMembers of type(s) application/json
{
    "results": [
        {
            "entity_id": "string",
            "entity_type": "string",
            "vendor_infos": [
                {
                    "vendor_ids": [
                        {
                            "id_type": "string",
                            "id_value": "string"
                        }
                    ],
                    "manager": {
                        "entity_id": "string",
                        "entity_type": "VirtualMachine",
                        "entity_name": "string"
                    }
                }
            ]
        }
    ],
    "cursor": "string"
}
array of object
results
Optional

results

string
cursor
Optional

cursor


401

Unauthorized

Returns UnauthorizedResponse of type(s) application/json
{
    "code": 0,
    "message": "string",
    "details": [
        {
            "code": 0,
            "message": "string",
            "target": [
                "string"
            ]
        }
    ]
}
integer As int32 As int32
code
Optional

code

string
message
Optional

message

array of object
details
Optional

details


404

Not Found

Returns NotFoundResponse of type(s) application/json
{
    "code": 0,
    "message": "string",
    "details": [
        {
            "code": 0,
            "message": "string",
            "target": [
                "string"
            ]
        }
    ]
}
integer As int32 As int32
code
Optional

code

string
message
Optional

message

array of object
details
Optional

details


500

Internal error

Returns InternalErrorResponse of type(s) application/json
{
    "code": 0,
    "message": "string",
    "details": [
        {
            "code": 0,
            "message": "string",
            "target": [
                "string"
            ]
        }
    ]
}
integer As int32 As int32
code
Optional

code

string
message
Optional

message

array of object
details
Optional

details


Code Samples
COPY
                    curl -H 'Authorization: <value>' https://{api_host}/api/ni/groups/applications/{id}/members/vms